ფილიალები
მიმდინარე სერვისით თქვენ შეძლებთ მიიღოთ INEX GROUP-ის ფილიალების შესახებ ინფორმაცია.
GET
/integrators/locations/pickup-locations
| Field | Type | In | Required | Example | Description |
|---|---|---|---|---|---|
| name | string | Query | NO | Isani branch | ფილიალის სახელით ძიება. (Max: 100) |
| countryCode | string | Query | NO | GE (ISO 3166-1 alpha-2.) | ქვეყნის კოდით ძიება. (size: 2) |
| cityName | string | Query | NO | Tbilisi | ქალაქის სახელით ძიება. (Max: 100) |
| facilityType | string | Query | NO | branch | ფილიალის ტიპით ძიება. შესაძლებელი ვარიანტები: branch, locker, individualPerson |
| page | integer | Query | NO | 1 (default: 1) | მიმდინარე გვერდი. |
| perPage | integer | Query | NO | 50 (default: 50, Max: 500) | ერთ გვერდზე ჩატვირთული მონაცემების რაოდენობა. |
პასუხის სტრუქტურა 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data.locationCode | string | 200058 | ფილიალის უნიკალური ინდენტიფიკატორი. |
| data.name | string | Isani Branch | ფილიალის სახელი. |
| data.address | string | 69801 Drake Estate Suite 845 Dorrisville, AZ 94397 | ფილიალის მისამართი. |
| data.phone | string | +1-539-584-2742 | ფილიალის საკონტაქტო ნომერი. |
| data.latitude | float | -23.896331 | ფილიალის latitude. |
| data.longitude | float | -123.077118 | ფილიალის longitude. |
| data.postalCode | string | 05572 | ფილიალის საფოსტო ინდექსი |
| data.country.name | string | Georgia | ქვეყნის სახელი. |
| data.country.code | string | GE (ISO 3166-1 alpha-2.) | ქვეყნის კოდი. |
| data.city.name | string | Tbilisi | ქალაქის სახელი. |
| meta.pagination.total | integer | 1 | სულ ნაპოვნი ჩანაწერების რაოდენობა. |
| meta.pagination.count | integer | 1 | რა რაოდენობის მონაცემია ახლა 1 გვერდზე. |
| meta.pagination.currentPage | integer | 1 | მიმდინარე გვერდი. |
| meta.pagination.perPage | integer | 50 | რა რაოდენობის ჩანაწერი უნდა ჩანდეს ერთ გვერდზე. |
| meta.pagination.totalPages | integer | 1 | სულ გვერდების რაოდენობა. |
ფილიალის ტიპის აღწერა
| branch | ფიზიკური ფილიალი. |
| locker | ლოქერი. |
| individualPerson | აგენტი, ადამიანი რომელიც ამანათებს არიგებს. |
შესაძლო პასუხები
| Code | Description |
|---|---|
| 200 OK | ფილიალების მასივი. |
| 404 Not Found | ქალაქი ან ქვეყანა არ მოიძებნა. |
| 403 Forbidden | თქვენ არ გაქვთ ამ ოპერაციის შესრულების უფლება |
cURL Request
BASH
curl -X GET https://api-staging.inex.ge/api/v1/integrators/locations/pickup-locations?facilityType=branch \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json"
Response (200 OK)
JSON Response
JSON
{
"data": [
{
"locationCode": "200058",
"name": "Isani Branch",
"address": "69801 Drake Estate Suite 845 Dorrisville, AZ 94397",
"phone": "+1-539-584-2742",
"latitude": -23.896331,
"longitude": -123.077118,
"postalCode": "05572",
"country": {
"name": "Georgia",
"code": "GE"
},
"city": {
"name": "Tbilisi"
}
}
],
"meta": {
"pagination": {
"total": 1,
"count": 1,
"currentPage": 1,
"perPage": 50,
"totalPages": 1
}
}
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Country not found"
]
},
"message": "error"
}
JSON Response
JSON
{
"errors": {
"general": [
"City not found"
]
},
"message": "error"
}